[CLOSED] Update error

First check the forums - Do not know where to put it then put it here
dante64ster
Crewman
Posts: 27
Joined: Tue Mar 31, 2020 11:50 pm
Location: Kiskunhalas / Hungary

[CLOSED] Update error

Post by dante64ster »

Hi!

Today I updated the system through the terminal and the following errors occured: "the transaction could not be executed (failed or corrupted package (PGP signature))". There are also several messages about names, which the terminal deemed 'reliability is unknown'. When it asked if I wanted to deleted them, I answered yes on every occasion beause I didn't know what to do. The message about the update failure happened with several package, including the browser package. Is there any problem with the packages or I can answer to the terminal's delete question with 'no'? I'll send you the terminal's error messages which is unfortunately in hungarian (because I am hungarian too). Thank you for your help.

[kitty@kitty-latitudee5430vpro ~]$ sudo pacman -Syyu
[sudo] kitty jelszava:
:: A csomagadatbázisok szinkronizálása...
arcolinux_repo 103,0 KiB 219 KiB/s 00:00 [----------------------------------------------] 100%
arcolinux_repo_3party 222,4 KiB 315 KiB/s 00:01 [----------------------------------------------] 100%
arcolinux_repo_xlarge 30,3 KiB 76,5 KiB/s 00:00 [----------------------------------------------] 100%
core 137,6 KiB 299 KiB/s 00:00 [----------------------------------------------] 100%
extra 1558,3 KiB 1751 KiB/s 00:01 [----------------------------------------------] 100%
community 6,0 MiB 1850 KiB/s 00:03 [----------------------------------------------] 100%
multilib 149,7 KiB 283 KiB/s 00:01 [----------------------------------------------] 100%
:: Teljes rendszerfrissítés indítása...
függőségek feloldása...
ütköző csomagok keresése...

Csomag (19) Régi verzió Új verzió Tiszta változás Letöltési méret

core/btrfs-progs 5.15.1-3 5.16-1 0,23 MiB 0,92 MiB
core/cryptsetup 2.4.2-3 2.4.3-1 0,02 MiB 0,57 MiB
core/ding-libs 0.6.1-3 0.6.1-4 0,00 MiB 0,12 MiB
extra/gobject-introspection 1.70.0-4 1.70.0-5 0,00 MiB 1,22 MiB
extra/gobject-introspection-runtime 1.70.0-4 1.70.0-5 0,00 MiB 0,22 MiB
community/gtop 1.1.2-1 1.1.3-1 0,01 MiB 3,93 MiB
extra/gupnp 1:1.4.2-1 1:1.4.3-1 0,00 MiB 0,17 MiB
core/iana-etc 20211203-1 20220110-1 0,00 MiB 0,38 MiB
multilib/lib32-mesa 21.3.3-1 21.3.4-1 0,75 MiB 14,08 MiB
extra/libnm 1.32.12-2 1.34.0-1 0,09 MiB 1,08 MiB
extra/libtorrent-rasterbar 1:1.2.15-1 1:2.0.5-1 -0,66 MiB 2,46 MiB
extra/mesa 21.3.3-2 21.3.4-1 0,01 MiB 16,65 MiB
extra/ndctl 72-1 72.1-1 -0,02 MiB 0,28 MiB
extra/networkmanager 1.32.12-2 1.34.0-1 0,46 MiB 3,56 MiB
community/qbittorrent 4.4.0-1 4.4.0-2 0,02 MiB 6,30 MiB
extra/qt5-wayland 5.15.2+kde+r38-1 5.15.2+kde+r41-1 -0,28 MiB 1,06 MiB
arcolinux_repo_3party/snapd 2.54.1-1 2.54.2-1 0,00 MiB
arcolinux_repo_xlarge/tor-browser 11.0.3-1 11.0.4-1 0,08 MiB
community/vivaldi 5.0.2497.35-1 5.0.2497.38-1 0,00 MiB 88,26 MiB

Teljes letöltési méret: 141,27 MiB
Teljes telepített méret: 706,76 MiB
Tiszta frissítési méret: 0,73 MiB

:: Kezdődhet a telepítés? [I/n] i
:: Csomagok letöltése...
gtop-1.1.3-1-any 3,9 MiB 751 KiB/s 00:05 [----------------------------------------------] 100%
qbittorrent-4.4.0-2-x86_64 6,3 MiB 777 KiB/s 00:08 [----------------------------------------------] 100%
networkmanager-1.34.0-1-x86_64 3,6 MiB 783 KiB/s 00:05 [----------------------------------------------] 100%
libtorrent-rasterbar-1:2.0.5-1-x86_64 2,5 MiB 711 KiB/s 00:04 [----------------------------------------------] 100%
gobject-introspection-1.70.0-5-x86_64 1249,8 KiB 604 KiB/s 00:02 [----------------------------------------------] 100%
libnm-1.34.0-1-x86_64 1101,2 KiB 530 KiB/s 00:02 [----------------------------------------------] 100%
lib32-mesa-21.3.4-1-x86_64 14,1 MiB 898 KiB/s 00:16 [----------------------------------------------] 100%
qt5-wayland-5.15.2+kde+r41-1-x86_64 1084,9 KiB 566 KiB/s 00:02 [----------------------------------------------] 100%
mesa-21.3.4-1-x86_64 16,6 MiB 1007 KiB/s 00:17 [----------------------------------------------] 100%
btrfs-progs-5.16-1-x86_64 946,1 KiB 617 KiB/s 00:02 [----------------------------------------------] 100%
cryptsetup-2.4.3-1-x86_64 585,7 KiB 520 KiB/s 00:01 [----------------------------------------------] 100%
iana-etc-20220110-1-any 393,1 KiB 423 KiB/s 00:01 [----------------------------------------------] 100%
ndctl-72.1-1-x86_64 287,6 KiB 370 KiB/s 00:01 [----------------------------------------------] 100%
gobject-introspection-runtime-1.70.0-5-x86_64 220,5 KiB 297 KiB/s 00:01 [----------------------------------------------] 100%
gupnp-1:1.4.3-1-x86_64 179,0 KiB 245 KiB/s 00:01 [----------------------------------------------] 100%
ding-libs-0.6.1-4-x86_64 125,7 KiB 171 KiB/s 00:01 [----------------------------------------------] 100%
vivaldi-5.0.2497.38-1-x86_64 88,3 MiB 2,31 MiB/s 00:38 [----------------------------------------------] 100%
Total (17/17) 141,3 MiB 3,69 MiB/s 00:38 [----------------------------------------------] 100%
(19/19) kulcsok vizsgálata a kulcstartóban [----------------------------------------------] 100%
(19/19) csomagok integritásának ellenőrzése [----------------------------------------------] 100%
hiba: iana-etc: az aláírásnak a "Jelle van der Waa <jelle@vdwaa.nl>" -ről ismeretlen a megbízhatósága
:: A /var/cache/pacman/pkg/iana-etc-20220110-1-any.pkg.tar.zst fájl sérült (hibás vagy sérült csomag (PGP aláírás)).
Szeretné törölni? [I/n] i
hiba: btrfs-progs: az aláírásnak a "Sébastien Luttringer <seblu@seblu.net>" -ről ismeretlen a megbízhatósága
:: A /var/cache/pacman/pkg/btrfs-progs-5.16-1-x86_64.pkg.tar.zst fájl sérült (hibás vagy sérült csomag (PGP aláírás)).
Szeretné törölni? [I/n] i
hiba: cryptsetup: az aláírásnak a "Christian Hesse <eworm@archlinux.org>" -ről ismeretlen a megbízhatósága
:: A /var/cache/pacman/pkg/cryptsetup-2.4.3-1-x86_64.pkg.tar.zst fájl sérült (hibás vagy sérült csomag (PGP aláírás)).
Szeretné törölni? [I/n] i
hiba: ding-libs: az aláírásnak a "Andreas Radke <andyrtr@archlinux.org>" -ről ismeretlen a megbízhatósága
:: A /var/cache/pacman/pkg/ding-libs-0.6.1-4-x86_64.pkg.tar.zst fájl sérült (hibás vagy sérült csomag (PGP aláírás)).
Szeretné törölni? [I/n] i
hiba: gobject-introspection-runtime: az aláírásnak a "Jan Alexander Steffens (heftig) <jan.steffens@gmail.com>" -ről ismeretlen a megbízhatósága
:: A /var/cache/pacman/pkg/gobject-introspection-runtime-1.70.0-5-x86_64.pkg.tar.zst fájl sérült (hibás vagy sérült csomag (PGP aláírás)).
Szeretné törölni? [I/n] i
hiba: gobject-introspection: az aláírásnak a "Jan Alexander Steffens (heftig) <jan.steffens@gmail.com>" -ről ismeretlen a megbízhatósága
:: A /var/cache/pacman/pkg/gobject-introspection-1.70.0-5-x86_64.pkg.tar.zst fájl sérült (hibás vagy sérült csomag (PGP aláírás)).
Szeretné törölni? [I/n] i
hiba: gtop: az aláírásnak a "Sven-Hendrik Haase <svenstaro@archlinux.org>" -ről ismeretlen a megbízhatósága
:: A /var/cache/pacman/pkg/gtop-1.1.3-1-any.pkg.tar.zst fájl sérült (hibás vagy sérült csomag (PGP aláírás)).
Szeretné törölni? [I/n] i
hiba: gupnp: az aláírásnak a "Jan Alexander Steffens (heftig) <jan.steffens@gmail.com>" -ről ismeretlen a megbízhatósága
:: A /var/cache/pacman/pkg/gupnp-1:1.4.3-1-x86_64.pkg.tar.zst fájl sérült (hibás vagy sérült csomag (PGP aláírás)).
Szeretné törölni? [I/n] i
hiba: mesa: az aláírásnak a "Laurent Carlier <lordheavym@gmail.com>" -ről ismeretlen a megbízhatósága
:: A /var/cache/pacman/pkg/mesa-21.3.4-1-x86_64.pkg.tar.zst fájl sérült (hibás vagy sérült csomag (PGP aláírás)).
Szeretné törölni? [I/n] i
hiba: lib32-mesa: az aláírásnak a "Laurent Carlier <lordheavym@gmail.com>" -ről ismeretlen a megbízhatósága
:: A /var/cache/pacman/pkg/lib32-mesa-21.3.4-1-x86_64.pkg.tar.zst fájl sérült (hibás vagy sérült csomag (PGP aláírás)).
Szeretné törölni? [I/n] i
hiba: libnm: az aláírásnak a "Jan Alexander Steffens (heftig) <jan.steffens@gmail.com>" -ről ismeretlen a megbízhatósága
:: A /var/cache/pacman/pkg/libnm-1.34.0-1-x86_64.pkg.tar.zst fájl sérült (hibás vagy sérült csomag (PGP aláírás)).
Szeretné törölni? [I/n] i
hiba: libtorrent-rasterbar: az aláírásnak a "Antonio Rojas <arojas@archlinux.org>" -ről ismeretlen a megbízhatósága
:: A /var/cache/pacman/pkg/libtorrent-rasterbar-1:2.0.5-1-x86_64.pkg.tar.zst fájl sérült (hibás vagy sérült csomag (PGP aláírás)).
Szeretné törölni? [I/n] i
hiba: ndctl: az aláírásnak a "Felix Yan <felixonmars@archlinux.org>" -ről ismeretlen a megbízhatósága
:: A /var/cache/pacman/pkg/ndctl-72.1-1-x86_64.pkg.tar.zst fájl sérült (hibás vagy sérült csomag (PGP aláírás)).
Szeretné törölni? [I/n] i
hiba: networkmanager: az aláírásnak a "Jan Alexander Steffens (heftig) <jan.steffens@gmail.com>" -ről ismeretlen a megbízhatósága
:: A /var/cache/pacman/pkg/networkmanager-1.34.0-1-x86_64.pkg.tar.zst fájl sérült (hibás vagy sérült csomag (PGP aláírás)).
Szeretné törölni? [I/n] i
hiba: qbittorrent: az aláírásnak a "Antonio Rojas <arojas@archlinux.org>" -ről ismeretlen a megbízhatósága
:: A /var/cache/pacman/pkg/qbittorrent-4.4.0-2-x86_64.pkg.tar.zst fájl sérült (hibás vagy sérült csomag (PGP aláírás)).
Szeretné törölni? [I/n] i
hiba: qt5-wayland: az aláírásnak a "Antonio Rojas <arojas@archlinux.org>" -ről ismeretlen a megbízhatósága
:: A /var/cache/pacman/pkg/qt5-wayland-5.15.2+kde+r41-1-x86_64.pkg.tar.zst fájl sérült (hibás vagy sérült csomag (PGP aláírás)).
Szeretné törölni? [I/n] i
hiba: vivaldi: az aláírásnak a "Ike Devolder <ike.devolder@gmail.com>" -ről ismeretlen a megbízhatósága
:: A /var/cache/pacman/pkg/vivaldi-5.0.2497.38-1-x86_64.pkg.tar.zst fájl sérült (hibás vagy sérült csomag (PGP aláírás)).
Szeretné törölni? [I/n] i
hiba: nem sikerült végrehajtani a tranzakciót (hibás vagy sérült csomag (PGP aláírás))
Hibák léptek fel, nem frissült csomag.
[kitty@kitty-latitudee5430vpro ~]$

User avatar
erikdubois
Captain
Posts: 5109
Joined: Tue Nov 07, 2017 3:45 pm
Location: Belgium
Contact:

Re: [CLOSED] Update error

Post by erikdubois »

Get your knowledge from the hundreds of update videos

100 videos



36 videos

Learn, have fun and enjoy.
But first use the power of the Arch Wiki
use the tutorials on https://www.youtube.com/erikdubois
then use the power of google
then use the power of our moderators.

dante64ster
Crewman
Posts: 27
Joined: Tue Mar 31, 2020 11:50 pm
Location: Kiskunhalas / Hungary

Re: [CLOSED] Update error

Post by dante64ster »

Hi,

I could not find the solution for my problems in the videos so I could not update the packages for days. My problems are: wrong GPG signatures; failed or corrupted packages (PGP signature). As the system mentioned, I want to notify the distribution packager. I can not solve the problem myself right now.

User avatar
erikdubois
Captain
Posts: 5109
Joined: Tue Nov 07, 2017 3:45 pm
Location: Belgium
Contact:

Re: [CLOSED] Update error

Post by erikdubois »

A screenshot would help.

imgur is where you host the image.
Learn, have fun and enjoy.
But first use the power of the Arch Wiki
use the tutorials on https://www.youtube.com/erikdubois
then use the power of google
then use the power of our moderators.

dante64ster
Crewman
Posts: 27
Joined: Tue Mar 31, 2020 11:50 pm
Location: Kiskunhalas / Hungary

Re: [CLOSED] Update error

Post by dante64ster »

Hi,

I apologise, but I could not reply sooner. I am very sorry.


Image




Thank you very much for your help in advance.


Kata

User avatar
erikdubois
Captain
Posts: 5109
Joined: Tue Nov 07, 2017 3:45 pm
Location: Belgium
Contact:

Re: [CLOSED] Update error

Post by erikdubois »

Remove all the packages it asks.

then type in terminal

Code: Select all

sudo pacman -S archlinux-keyring
then update again
Learn, have fun and enjoy.
But first use the power of the Arch Wiki
use the tutorials on https://www.youtube.com/erikdubois
then use the power of google
then use the power of our moderators.

dante64ster
Crewman
Posts: 27
Joined: Tue Mar 31, 2020 11:50 pm
Location: Kiskunhalas / Hungary

Re: [CLOSED] Update error

Post by dante64ster »

Unfortunately, this did not bring any improvement.

dante64ster
Crewman
Posts: 27
Joined: Tue Mar 31, 2020 11:50 pm
Location: Kiskunhalas / Hungary

Re: [CLOSED] Update error

Post by dante64ster »

Unfortunately, this did not bring any improvement.


User avatar
erikdubois
Captain
Posts: 5109
Joined: Tue Nov 07, 2017 3:45 pm
Location: Belgium
Contact:

Re: [CLOSED] Update error

Post by erikdubois »

Download the package and install it.

https://archive.archlinux.org/packages/ ... x-keyring/

get the last one in time.

click it and download it

go to the download folder

open a terminal there and

Code: Select all

sudo pacman -U archlinux-keyring .....
and try to install it that way

ps. you need the .zst not the .sig
Learn, have fun and enjoy.
But first use the power of the Arch Wiki
use the tutorials on https://www.youtube.com/erikdubois
then use the power of google
then use the power of our moderators.

User avatar
erikdubois
Captain
Posts: 5109
Joined: Tue Nov 07, 2017 3:45 pm
Location: Belgium
Contact:

Re: [CLOSED] Update error

Post by erikdubois »

Learn, have fun and enjoy.
But first use the power of the Arch Wiki
use the tutorials on https://www.youtube.com/erikdubois
then use the power of google
then use the power of our moderators.

Post Reply

Return to “General Questions”